Subject: Re: bug#55883: [PATCH] Update X Primary Selection with active regions

From: Eli Zaretskii <[email-masked]>
Date: Wed, 15 Jun 2022 19:51:10 +0300

> From: Duncan Findlay <[email-masked]>
> Date: Tue, 14 Jun 2022 19:01:58 -0700
> Cc: [email-masked]
> 
> > > !NILP (SYMBOL_VAL (XSYMBOL (Qxterm_select_active_regions)))
> >
> > This is not safe, IMO.  I think this is better:
> >
> >   if ((!NILP (Fwindow_system (Qnil))
> >        || ((symval = find_symbol_value (Qxterm_select_active_regions),
> >             (!EQ (symval, Qunbound) && !NILP (symval)))
> >             && !NILP (Fterminal_parameter (Qnil, Qxterm__set_selection))))
> 
> Thanks, I would never have figured that out myself.

That's what we are here for (one reason, at least).

> > > I've also addressed Po's comments about long conditionals.
> >
> > Thanks, the patch LGTM, modulo the above 2 minor nits.

This version LGTM, I will install soon, unless someone comes up with
more comments.